﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Styx;
using Styx.Plugins;
using Styx.Common;
using Styx.WoWInternals;

using BadWolf;

using System.Windows.Media;

namespace ZapRecorder2
{
    public class ZapPlugin : HBPlugin
    {
        public override string Author { get { return "BadWolf (originally by Zapman)"; } }
        public override Version Version { get { return new Version(1, 3, 0); } }
        public override string Name { get { return "ZapRecorder2"; } }
        public override bool WantButton { get { return true; } }
        public override string ButtonText { get { return "Show Recorder"; } }

        public bool mainFormLoaded = false;
        public ZapMainForm mainForm;
        public static bool isHidden = false;

        

        public static void HandleHotkey()
        {

            Logging.Write("Hotkey received");
        }

        public override void Pulse()
        {

        }

        public override void OnButtonPress()
        {
            if (!ZapPlugin.isHidden)
            {
                // First time button press, create form.
                if (!mainFormLoaded)
                {
                    //We need to create a new form
                    mainForm = new ZapMainForm();
                    mainForm.Show();
                    mainFormLoaded = true;

                
                }
            }
            else
            {
                // Reload existing form
                mainForm.Show();
            }
        }
    }
}
